<id>
Users Today for YaBB 2.6.0
</id>

<version>
1.0
</version>

<mod info>
**Original code and concept by Daicogra for YaBB 1.1.  Re-coding to work with YaBB 2.5 AE as well as "Enhancements" to this mod have been made by Brian Longo, Jeffrey Man and Detlef Pilzecker.  I DO NOT take credit for the original concept of this mod.  However, I will take credit for the enhancements to this mod. Updated to 2.6.0 by Dandello

**Overview:

Daicoga's original version:
-- Count the number of members that visit your board on any given day.  At midnight, the counter is reset to zero.

My "enhancements":
-- Added the capability to count guests.  Counter for guests resets to zero at midnight.
-- Option to show or not show the number of guests along with the number of members in the Users Online Today box in Board Index.
-- Option to allow or disallow guests from seeing the Users Online Today box in Board Index.
-- Admin has the option of viewing the Guest IP Log in the Users Today section of the Admin Center below configuration box.
-- Admin has the option of enabling number of guests in Board Index as a link to go directly to the Users Today section of the Admin Center to view the Guest IP Log.
-- Admin can see user/guest stats for forum by day (log file).
-- Admin can view when most users/guests came to their board, as well as total number of users/guests and average users/guests per day.
-- Admin can choose to see log file for X days via an input value.
-- Admin can choose to use this as a "Log Only" mod where the Users Today block will not show up in the Board Index, yet still keep user/guest stats for the board.

Mod Package:
=============
- UserToday_260_v1.mod
- UserToday_V2_2_germanpatch-yabb24mod
- UserToday_V2_2_germandupatch-yabb24mod

Installation:
=============
1) Modify YaBB files using BoardMod or manually.
2) Load modified files to your server in ASCII mode.

cgi-bin/yabb2/AdminIndex.pl
cgi-bin/yabb2/YaBB.pl
cgi-bin/yabb2/Admin/AdminSubList.pm (ASCII)
cgi-bin/yabb2/Admin/ManageTemplates.pm (ASCII)
cgi-bin/yabb2/Admin/ModList.pm (ASCII)
cgi-bin/yabb2/Languages/English/Admin.lng (ASCII)
cgi-bin/yabb2/Sources/BoardIndex.pm (ASCII)
cgi-bin/yabb2/Sources/SubList.pm (ASCII)
cgi-bin/yabb2/Templates/default/BoardIndex.template (ASCII)

Upload files from Zip Package.
cgi-bin/yabb2/Admin/UsersTodayAdmin.pm (ASCII)
cgi-bin/yabb2/Languages/English/UsersToday.lng (ASCII)
cgi-bin/yabb2/Sources/UsersToday.pm (ASCII)

</mod info>

<author>
Daicogra (1.1), Brian Longo (2.x), updated to 2.6.0 by Dandello
</author>

<homepage>
http://www.yabbforumsoftware.com/cgi-bin/yabb2/YaBB.pl
</homepage>

<edit file>
AdminIndex.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
## Users Today Mod ##
    $users_today = "userstoday|$mod_list{'userstoday_set'}|$mod_list{'userstoday_set1'}|";
    push (@boardmod_mods, "$users_today");
</add before>

<edit file>
YaBB.pl
</edit file>

<search for>
banning();  # Check for banned people
</search for>

<add before>
if (-e("$vardir/usrtodayconfig.txt"))  { ## Users Today Mod ##
    require "$vardir/usrtodayconfig.txt";
}

</add before>

<edit file>
Admin/ManageTemplates.pm
</edit file>

<search for>
    $boardindex_template =~ s/({|<)yabb users(}|>)/$tempuserson/gsm;
</search for>

<add after>
## Start Users Today Mod ##
    require "$sourcedir/UsersToday.pm";
    userstoday();
    $boardindex_template =~ s/({|<)yabb userstoday(}|>)/$userstoday/gsm;
    $boardindex_template =~ s/({|<)yabb row_resize(}|>)/$row_resize/gsm;
## End Users Today Mod ##
</add after>

<edit file>
Admin/AdminSubList.pm
</edit file>

<search for>
'smilieindex','Smilies.pm&SmilieIndex',
'smiliemove','Smilies.pm&SmilieMove',
</search for>

<add after>
'userstoday','UsersTodayAdmin.pm&UsersToday_Set', ## Users Today Mod ##
'userstoday2','UsersTodayAdmin.pm&UsersToday_Set2', ## Users Today Mod ##
</add after>

<edit file>
Admin/ModList.pm
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
## Users Today Mod ##
    $users_today_mod = "Users Today|Brian Longo, Jeffrey Man (Jet Li) and Detlef Pilzecker (deti), updated to 2.6.0 by Dandello|Counts the number of members and guests that visit your board each day.  Counters are reset at midnight.  Also will log the number of users and guests to your board and is viewable through the Admin Center.  Original code by daicogra.|1.0|June 11, 2014";
    push (@installed_mods, "$users_today_mod");
</add before>

<edit file>
Languages/English/Admin.lng
</edit file>

<search for>
);

%smtp_txt = (
</search for>

<add before>
'userstoday_set' => 'Users Today Settings',
'userstoday_set1' => 'Edit your Users Today Settings',
</add before>

<edit file>
Sources/BoardIndex.pm
</edit file>

<search for>
    if ($showlatestmember) {
        LoadUser($latestmember);
            $latestmemberlink =
                qq~$boardindex_txt{'201'} ~
              . QuickLinks($latestmember)
              . q~.<br />~;
            $boardindex_template =~
              s/{yabb latestmember}/$latestmemberlink/gsm;
        }
        else {
        $boardindex_template =~ s/{yabb latestmember}//gsm;
    }
</search for>

<add after>
## Start Users Today Mod ##
    require Sources::UsersToday;
    userstoday();
## End Users Today Mod ##
</add after>

<edit file>
Sources/SubList.pm
</edit file>

<search for>
'setgtalk','Display.pm&SetGtalk',
</search for>

<add after>
'showlog','UsersToday.pm&show_utlog',  # Users Today Mod #
</add after>

<edit file>
Templates/default/BoardIndex.template
</edit file>

<search for>
                <td class="windowbg info-center center">
                    <img src="$imagesdir/$brd_online" alt="" />
    </td>
</search for>

<replace>
    {yabb row_resize}
    <!-- ## Users Today mod ## -->
</replace>

<search for>
        $boardindex_txt{'803'} <b>{yabb mostbots}</b> $maintxt{'30'} {yabb mostbotsdate}.
        </div>
    </td>
</tr>
</search for>

<add after>
<!-- ## Start Users Today mod ## -->
{yabb userstoday}
<!-- ## End Users Today mod ## -->
</add after>

